<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* dataset-form-copy.twig */
class __TwigTemplate_ff569d877ecb1cddb0b723953eead531ae2bb18edab8ced44f76d28b4075d2c5 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 9
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 10
        $context["forms"] = $this->loadTemplate("forms.twig", "dataset-form-copy.twig", 10)->unwrap();
        // line 9
        $this->parent = $this->loadTemplate("form-base.twig", "dataset-form-copy.twig", 9);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 12
    public function block_formTitle($context, array $blocks = [])
    {
        // line 13
        echo "    ";
        $context["dataSetName"] = $this->getAttribute(($context["dataSet"] ?? null), "dataSet", []);
        // line 14
        echo "    ";
        /* xgettext:no-php-format */        echo strtr(__("Copy %dataSetName%"), array("%dataSetName%" => ($context["dataSetName"] ?? null), ));
    }

    // line 17
    public function block_formButtons($context, array $blocks = [])
    {
        // line 18
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 19
        echo __("Save");
        echo ", \$(\"#dataSetCopyForm\").submit()
";
    }

    // line 22
    public function block_formHtml($context, array $blocks = [])
    {
        // line 23
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"dataSetCopyForm\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"";
        // line 25
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("dataSet.copy", ["id" => $this->getAttribute(($context["dataSet"] ?? null), "dataSetId", [])]), "html", null, true);
        echo "\">
                ";
        // line 26
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 27
        echo "                ";
        ob_start(function () { return ''; });
        echo __("A name for this DataSet");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 28
        echo "                ";
        ob_start(function () { return ''; });
        echo twig_escape_filter($this->env, $this->getAttribute(($context["dataSet"] ?? null), "dataSet", []), "html", null, true);
        echo " 2";
        $context["dataSetName"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 29
        echo "                ";
        echo $context["forms"]->getinput("dataSet", ($context["title"] ?? null), ($context["dataSetName"] ?? null), ($context["helpText"] ?? null), "", "required");
        echo "

                ";
        // line 31
        ob_start(function () { return ''; });
        echo __("Description");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 32
        echo "                ";
        ob_start(function () { return ''; });
        echo __("An optional description");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 33
        echo "                ";
        echo $context["forms"]->getinput("description", ($context["title"] ?? null), "", ($context["helpText"] ?? null));
        echo "

                ";
        // line 35
        ob_start(function () { return ''; });
        echo __("Code");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 36
        echo "                ";
        ob_start(function () { return ''; });
        echo __("A code which can be used to lookup this DataSet - usually for an API application");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 37
        echo "                ";
        echo $context["forms"]->getinput("code", ($context["title"] ?? null), "", ($context["helpText"] ?? null));
        echo "

                ";
        // line 39
        ob_start(function () { return ''; });
        echo __("Copy rows?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 40
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Should we copy all the row data from the original dataSet?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 41
        echo "                ";
        echo $context["forms"]->getcheckbox("copyRows", ($context["title"] ?? null), 0, ($context["helpText"] ?? null));
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "dataset-form-copy.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  140 => 41,  135 => 40,  131 => 39,  125 => 37,  120 => 36,  116 => 35,  110 => 33,  105 => 32,  101 => 31,  95 => 29,  89 => 28,  84 => 27,  80 => 26,  76 => 25,  72 => 23,  69 => 22,  63 => 19,  58 => 18,  55 => 17,  50 => 14,  47 => 13,  44 => 12,  39 => 9,  37 => 10,  31 => 9,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "dataset-form-copy.twig", "/home/mgatv524/public_html/edurocha/views/dataset-form-copy.twig");
    }
}
